org.eclipse.emf.cdo.workspace

## Interface CDOWorkspaceBase

- All Superinterfaces:
    CDORevisionProvider
  All Known Subinterfaces:
    CDOWorkspaceBase2, InternalCDOWorkspaceBase

      public interface CDOWorkspaceBase
      extends CDORevisionProvider

  Represents the local state of a `workspace` directly after the initial `checkout` operation or any subsequent `update` and `replace` operations.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<CDOID>` | `getIDs()`
    `CDOWorkspace` | `getWorkspace()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

- - ### Method Detail

    - #### getWorkspace

          CDOWorkspace getWorkspace()

    - #### getIDs

          Set<CDOID> getIDs()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html